import 'package:niogu_ecommerce_v1/features/account/data/models/account_model.dart';
import 'package:niogu_ecommerce_v1/features/account/domain/entities/account.dart';

abstract class IAccountRepository {
  Future<CustomerInfo?> updateCustomer(CustomerInfoRequest request);

  Future<void> updatePassword({
    required String oldPassword,
    required newPassword,
  });

  Future<List<CustomerAddress>> fetchCustomerAddresses();

  Future<void> saveCustomerAddress(CustomerAddress address);

  Future<void> deleteCustomerAddress(String id);
}
